Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.graphic.toolkit
Class DrawToolFactory

    java.lang.Object
      jpicedt.graphic.toolkit.DrawToolFactory

public class DrawToolFactory
extends Object

A factory that produces mouse-tools for drawing (ie adding) graphical element's to a canvas.

Since:
  jpicedt 1.3.2
Version:
  $Id: DrawToolFactory.java,v 1.29.2.1 2007/09/02 11:56:28 reynal Exp $
Author:
  Sylvain Reynal

Nested Class Summary
`protected class` | `DrawToolFactory.AbstractCurveDrawTool` a MouseTool suited for drawing any element inheriting from AbstractCurve.
`protected class` | `DrawToolFactory.GenericDrawTool` A MouseTool aimed at drawing new Elements.
`protected class` | `DrawToolFactory.TextDrawTool` A tool used to place PicText's ; it opens a dialog box for editing text content.

Field Summary
`static String` | `ARC_CHORD`
`static String` | `ARC_CHORD_FROM_3PTS`
`static String` | `ARC_CHORD_FROM_PARALLELO`
`static String` | `ARC_OPEN`
`static String` | `ARC_OPEN_FROM_3PTS`
`static String` | `ARC_OPEN_FROM_PARALLELO`
`static String` | `ARC_PIE`
`static String` | `ARC_PIE_FROM_3PTS`
`static String` | `ARC_PIE_FROM_PARALLELO`
`static String` | `CIRCLE_FROM_3PTS`
`static String` | `CLOSED_MULTI_CURVE`
`static String` | `CLOSED_PS_CURVE`
`static String` | `CLOSED_SMOOTH_POLY`
`static String` | `ELLIPSE`
`static String` | `ELLIPSE_FROM_PARALLELO`
`static String` | `LINE`
`static String` | `MULTI_CURVE`
`static String` | `PARALLELOGRAM`
`static String` | `PS_CURVE`
`static String` | `RECTANGLE`
`static String` | `SMOOTH_POLY`
`static String` | `TEXT`

Constructor Summary
`DrawToolFactory(EditorKit editorKit)`

Method Summary
`MouseTool` | `createDrawTool(String type)` Returns a MouseTool of the given type.
`static String[][]` | `getAvailableToolNames()` Returns an array of arrays of String containing the name of each tool this factory can produce, sorted by groups of tightly related tools.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LINE

    public static final String LINE

See Also:
  Constant Field Values

### RECTANGLE

    public static final String RECTANGLE

See Also:
  Constant Field Values

### PARALLELOGRAM

    public static final String PARALLELOGRAM

See Also:
  Constant Field Values

### ELLIPSE_FROM_PARALLELO

    public static final String ELLIPSE_FROM_PARALLELO

See Also:
  Constant Field Values

### ARC_CHORD_FROM_PARALLELO

    public static final String ARC_CHORD_FROM_PARALLELO

See Also:
  Constant Field Values

### ARC_PIE_FROM_PARALLELO

    public static final String ARC_PIE_FROM_PARALLELO

See Also:
  Constant Field Values

### ARC_OPEN_FROM_PARALLELO

    public static final String ARC_OPEN_FROM_PARALLELO

See Also:
  Constant Field Values

### ELLIPSE

    public static final String ELLIPSE

See Also:
  Constant Field Values

### ARC_CHORD

    public static final String ARC_CHORD

See Also:
  Constant Field Values

### ARC_PIE

    public static final String ARC_PIE

See Also:
  Constant Field Values

### ARC_OPEN

    public static final String ARC_OPEN

See Also:
  Constant Field Values

### CIRCLE_FROM_3PTS

    public static final String CIRCLE_FROM_3PTS

See Also:
  Constant Field Values

### ARC_CHORD_FROM_3PTS

    public static final String ARC_CHORD_FROM_3PTS

See Also:
  Constant Field Values

### ARC_PIE_FROM_3PTS

    public static final String ARC_PIE_FROM_3PTS

See Also:
  Constant Field Values

### ARC_OPEN_FROM_3PTS

    public static final String ARC_OPEN_FROM_3PTS

See Also:
  Constant Field Values

### MULTI_CURVE

    public static final String MULTI_CURVE

See Also:
  Constant Field Values

### CLOSED_MULTI_CURVE

    public static final String CLOSED_MULTI_CURVE

See Also:
  Constant Field Values

### SMOOTH_POLY

    public static final String SMOOTH_POLY

See Also:
  Constant Field Values

### CLOSED_SMOOTH_POLY

    public static final String CLOSED_SMOOTH_POLY

See Also:
  Constant Field Values

### PS_CURVE

    public static final String PS_CURVE

See Also:
  Constant Field Values

### CLOSED_PS_CURVE

    public static final String CLOSED_PS_CURVE

See Also:
  Constant Field Values

### TEXT

    public static final String TEXT

See Also:
  Constant Field Values

Constructor Detail

### DrawToolFactory

    public DrawToolFactory(EditorKit editorKit)

Parameters:
  `editorKit` - the EditorKit

Method Detail

### getAvailableToolNames

    public static String[][] getAvailableToolNames()

  Returns an array of arrays of String containing the name of each tool this factory can produce, sorted by groups of tightly related tools. This may be useful to register tools with the hosting EditorKit, or to automate the building process for related PEAction's

### createDrawTool

    public MouseTool createDrawTool(String type)

  Returns a MouseTool of the given type.

  Parameters:
    `type` - one of LINE, RECTANGLE,... constant fields.
  Since:
    jpicedt 1.3.2

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org